<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    echo "<tr>";
    echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    echo "<td><input type='text' name='srno_$ctr' class='srno form-control  form '  value='$mctr'></td>";
    echo "<td>";
    echo "<select  name='rawmatgrp_$ctr'  class='rawmatgrp form-control form select2' style='width:100%' required>";
    echo "<option value=''></option>";
    $gart = mysqli_query($conn, "SELECT * FROM `rawmatgrp` where code !='' order by `name`") or die(mysqli_error($conn));
    while ($article = mysqli_fetch_array($gart)) {
        echo "<option value='$article[code]'>$article[name]</option>";
    }
    echo "</select>";
    echo "</td>";
    echo "<td>";
    echo "<select  name='rawmat_$ctr'  class='rawmat form-control form select2' style='width:100%' required>";
    echo "<option value=''></option>";
    // $grawmat = mysqli_query($conn, "SELECT * FROM `rawmater` where code !='' and `active` = 1 order by name") or die(mysqli_error($conn));
    // while ($rawmat = mysqli_fetch_array($grawmat)) {
    //     echo "<option value='$rawmat[code]'>$rawmat[name]</option>";
    // }
    echo "</select>";
    echo "</td>";
    echo "<td>";
    echo "<select class='form-control form colour select2' name='colour_$ctr' style='width:100%'>";
    echo "<option value=''></option>";
    // $gbrand = mysqli_query($conn, 'SELECT * FROM `colour` order by name') or die(mysqli_error($conn));
    // while ($brand = mysqli_fetch_array($gbrand)) {
    //     echo "<option value='$brand[code]'>$brand[name]</option>";
    // }
    echo "</select>";
    echo "</td>";
    // Echo "<td><input type='text' name='itemname_$ctr' required='true' class='itemname focusFld_$ctr form-control  form' value='' ></td>";
    echo "<td><input type='text' name='hsncode_$ctr' class='hsncode form-control  form' value=''></td>";
    echo "<td><input type='text' name='nopack_$ctr' class='nopack form-control  form' style='' value=''></td>";
    echo "<td><input type='number' step='any' name='qty_$ctr' class='qty form-control  text-right form' value='0' ></td>";
    echo "<td><input type='text' name='unit_$ctr' class='unit form-control  form' style='' value=''></td>";
    echo "<td><input type='number' step='any' name='rate_$ctr' class='rate form-control text-right  form' value='0' ></td>";
    echo "<td><input type='hidden' step='any' name='amount_$ctr' id='amount_$ctr' class='amount form-control text-right  form' value='0' readonly>
    <input type='hidden' name='discperc_$ctr' class='discperc form-control text-right form' value='0'>
    <input type='hidden' name='discamt_$ctr' class='discamt form-control text-right form' value='0' readonly>
    <input type='text' name='subtot_$ctr' class='subtot form-control text-right  form' value='0' readonly></td>";
    echo "<td><input type='text' name='cgstrate_$ctr' class='cgstrate form-control text-right form' value='0' readonly tabindex='-1'></td>";
    echo "<td><input type='text' name='cgstamt_$ctr' class='cgstamt form-control text-right form' value='0'   readonly tabindex='-1'></td>";
    echo "<td><input type='text' name='sgstrate_$ctr' class='sgstrate form-control text-right form' value='0' readonly tabindex='-1'></td>";
    echo "<td><input type='text' name='sgstamt_$ctr' class='sgstamt form-control text-right form' value='0'   readonly tabindex='-1'></td>";
    echo "<td><input type='text' name='igstrate_$ctr' class='igstrate form-control form text-right' value='0' readonly tabindex='-1'></td>";
    echo "<td><input type='text' name='igstamt_$ctr' class='igstamt form-control form text-right' value='0'   readonly tabindex='-1'></td>";
    echo "<td><input type='text' name='total_$ctr' class='total form-control text-right form' value='0'       readonly tabindex='-1'></td>";
    echo "</tr>";
    $ctr++;
} else {
    echo "ERROR";
}
